#!/bin/bash
# not sh since on Ubuntu sh is not bash
set -x # for debugging

#===================================================
# Compile non-parallel Tracy3 on the ubuntu 12.04
#
#
# Last updated by Jianfeng Zhang @LAL, 04/2012.
#===================================================


dir=`pwd`
#NUM_REC="$dir/num_rec"

#INSTALL="/usr/bin/install"

TRACY="tracy"

cd "$dir/$TRACY"

# CVS file is inside, do not erase
#rm -rf autom4te.cache
rm -rf aclocal.m4

make distclean

./bootstrap

FFLAGS="-g -O2  -Wall -fbounds-check" CXXFLAGS="-g -O2  -Wall -fno-implicit-templates" CC=gcc F77=gfortran CXX=g++ ./configure --prefix=$dir/$TRACY/tracy


make
make install
